<template>
  <router-link v-if="to" class="Link__Router" :to="to" :title="title">
    <slot></slot>
  </router-link>
  <a v-else class="Link__External" :href="href" :title="title"><slot></slot></a>
</template>

<script lang="ts">
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'Link',
  props: {
    /**
     *  specified link as external
     * // Todo add warning before following external link
     * // Todo auto detect external link
     * // Todo open external in new window
     */
    href: String,
    to: String,
    title: String,
  },
})
</script>

<style lang="scss" scoped>
.Link__Router,
.Link__External {
  display: inline-flex;
  align-items: center;
  color: var(--text-link-color);
  text-decoration: none;
}
</style>
